/*******************************************************************************
 * FoxSettingsUIRegionSettings generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSettingsUIRegionSettings extends FoxSettingsUIBase within FoxMenuUI
    native(UI)
    config(UI);

enum ERegionSettings
{
    EFRS_Region,
    EFRS_MAX
};

var array<string> RegionStrings;

function SetupSettingsScene()
{
    local int RegionIndex;

    RegionIndex = 0;
    J0x0B:
    // End:0x10A [Loop If]
    if(RegionIndex < Outer.Outer.Regions.Length)
    {
        RegionStrings.AddItem(Outer.LocalizeMenuString(Outer.Outer.Regions[RegionIndex].Tag, Outer.Outer.RegionLocSectionName));
        ++ RegionIndex;
        // [Loop Continue]
        goto J0x0B;
    }
    Outer.as_addAdditionalButtonContainer("container", int(SettingsContainerProperties.X), int(SettingsContainerProperties.Y), 0, 0, 0, 100, "", "", SettingsContainerProperties.WidgetSpacing, SettingsContainerProperties.MaxListWidth, SettingsContainerProperties.MaxListHeight, true);
    as_addSettingsBG(0, 0);
    Outer.as_addAdditionalSettingsButtonContainer("Controls", int(SettingsDividerContainerProperties.X), int(SettingsDividerContainerProperties.Y), 0, 0, 0, 100, "", "", SettingsDividerContainerProperties.WidgetSpacing, SettingsDividerContainerProperties.MaxListWidth, SettingsDividerContainerProperties.MaxListHeight, false);
    SettingsWidgets.AddItem(FoxSettingsWidget(Outer.Outer.GetVariableObject(Outer.as_addOptionStepper(Outer.LocalizeMenuString("regionlabel", "serverbrowser"), "", RegionStrings, 0, "ei_RegionChanged", string(0), true), class'FoxSettingsWidget')));
    as_addSettingsSpacer();
    //return;    
}

protected function SetupButtonContainer()
{
    //return;    
}

function ei_RegionChanged(string WidgetIndexString, string NewSelectedIndexString)
{
    CurrentVals[0] = float(int(float(NewSelectedIndexString) + 0.10));
    ProfileSettings.SetRegionTag(Outer.Outer.Regions[int(float(NewSelectedIndexString) + 0.10)].Tag);
    Outer.ui_updateRegionButtonLabel(Outer.LocalizeMenuString("regionButtonLabel", "menu") @ RegionStrings[Outer.Outer.GetCurrentRegionIndex()]);
    Outer.Outer.PCOwner.SaveProfile("Region Changed");
    //return;    
}

function GetOriginalVals()
{
    OriginalVals[0] = float(Outer.Outer.GetCurrentRegionIndex());
    //return;    
}

function GetDefaultVals()
{
    DefaultVals[0] = 0.0;
    //return;    
}

function BeginClose(optional bool bSkipTransition)
{
    bSkipTransition = false;
    ApplyChanges();
    OnSettingsClose();
    // End:0x76
    if(NextSettingsClass != none)
    {
        Outer.Outer.PendingCommandGroupName = "matchSettingsNextPage";
    }
    // End:0x96
    else
    {
        Outer.Settings = none;
    }
    Outer.ui_updateRegionButtonLabel(Outer.LocalizeMenuString("regionButtonLabel", "menu") @ RegionStrings[Outer.Outer.GetCurrentRegionIndex()]);
    Outer.Outer.as_transition(Outer.SettingsOutTransition);
    //return;    
}
